[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.PasswordChar

Allows obfuscation of the displayed text, showing all characters as PasswordChar.

## Declaration

Source position: stdctrls.pp line 870

`public property TCustomEdit.PasswordChar : Char read FPasswordChar write SetPasswordChar default #0;`

## Description

Typically used in password input, to hide the input from other viewers. The value in Text is still available for the WM_GETTEXT message.

Remark: | For the macOS Carbon widgetset, changing the default value for the property is not supported.

## See also

TCustomEdit.EchoMode |  | Allows to modify the text display, useful for entering passwords.